Bug 1624474 - Missing icons in leave dialog and leave menu of panel
Summary: Missing icons in leave dialog and leave menu of panel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-icon-theme
Version: 29
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F29BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-08-31 17:47 UTC by Raphael Groner
Modified: 2019-11-04 18:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-04 18:28:04 UTC


Attachments (Terms of Use)
logoff dialog (41.44 KB, image/png)
2018-08-31 17:47 UTC, Raphael Groner
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1252581 None CLOSED Panel does not show main menu entries 2019-11-04 18:27:10 UTC

Internal Links: 1252581

Description Raphael Groner 2018-08-31 17:47:59 UTC
Created attachment 1480131 [details]
logoff dialog

Description of problem:
Some icons are missing in the logout dialog.

Version-Release number of selected component (if applicable):
LXQt 0.13, Fedora 29

How reproducible:
yes

Steps to Reproduce:
1. install lxqt
2. login to lxqt session
3. click on logoff in panel menu

Actual results:
missing icons

Expected results:
all icons are visible

Additional info:
see attached screenshot

Comment 1 Raphael Groner 2018-08-31 17:52:07 UTC
The same issue counts for the panel menu.

Comment 2 Zamir SUN 2018-09-01 04:27:24 UTC
This is a known issue with the lxqt-themes-fedora (which should be blocked for f29). I think I've fixed some of the missing icon issues in the -fedora subpackage of lxqt-themes, but we need to wait for any compose later than Fedora-29-20180831.n.1.

I will test again by then.

Comment 3 Fedora Blocker Bugs Application 2018-09-01 04:53:06 UTC
Proposed as a Freeze Exception for 29-beta by Fedora user raphgro using the blocker tracking app because:

 Assuming the Xfce Testcase [*] applies also for the LXQt spin. Not all icons are available with the default Fedora theme. There's an update in preparation.

[*] https://fedoraproject.org/wiki/QA:Testcase_Xfce_settings_appearance

Comment 4 Zamir SUN 2018-09-01 06:46:42 UTC
(In reply to Zamir SUN from comment #2)
> This is a known issue with the lxqt-themes-fedora (which should be blocked
> for f29). I think I've fixed some of the missing icon issues in the -fedora
> subpackage of lxqt-themes, but we need to wait for any compose later than
> Fedora-29-20180831.n.1.
> 
> I will test again by then.

A quick test shows this might be different from what I thought. I will look into this later on.

Comment 5 Raphael Groner 2018-09-01 16:44:33 UTC
Asked in developer IRC.
[01.09.18 18:42] <agaida> it's all about the naming of the icons - you are not alone 

Please check the file names in the additional tarball for the Fedora stuff, we reuse from 0.11, maybe some references changed in sources.

Comment 6 Zamir SUN 2018-09-03 07:28:19 UTC
Ok, the first issue I've found is still about lxqt-panel missing dependency lxmenu-data, regression of 1252581.

So changing the component again.

Comment 7 Fedora Update System 2018-09-03 12:40:32 UTC
lxqt-panel-0.13.0-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4867c38838

Comment 8 Raphael Groner 2018-09-03 22:10:04 UTC
All icons are visible now and identify each available action, but they may depend on configured theme. My issue is solved.

Comment 9 Raphael Groner 2018-09-03 22:34:31 UTC
This is a bug with active fedora-icon-theme in LXQt settings. Not reproducible with Oxygen icons, for instance. Reassigning.

As already stated, LXQt seems to expect other/special file names for the default icons.

Comment 10 Raphael Groner 2018-09-03 22:42:17 UTC
See also errors of rpmgrill/DesktopLint/DesktopIconFileMissing:
https://taskotron.fedoraproject.org/artifacts/all/fd15c964-af75-11e8-b847-525400fc9f92/tests.yml/rpmgrill.json

Comment 11 Raphael Groner 2018-09-03 22:45:32 UTC
With active Adwaita theme, some icons are also not shown properly.

Comment 12 Raphael Groner 2018-09-03 23:21:57 UTC
(In reply to Zamir SUN from comment #6)
> Ok, the first issue I've found is still about lxqt-panel missing dependency
> lxmenu-data, regression of 1252581.
> 
> So changing the component again.

https://github.com/lxde/lxmenu-data/pull/3

Comment 13 Zamir SUN 2018-09-04 03:37:07 UTC
Okay I think I am fixing a different thing with this bug.
I will report a new one.

Comment 14 Fedora Update System 2018-09-04 09:03:44 UTC
lxqt-panel-0.13.0-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4867c38838

Comment 15 Adam Williamson 2018-09-10 22:45:58 UTC
Discussed at 2018-09-10 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-09-10/f29-blocker-review.2018-09-10-16.01.html . Accepted as a freeze exception issue as a significant cosmetic issue in a non-blocking desktop for which we ship live media, thus cannot be entirely fixed with an update.

Comment 16 Ben Cotton 2019-10-31 18:55:56 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Adam Williamson 2019-11-04 18:28:04 UTC
that lxqt update went stable, so let's close this.


Note You need to log in before you can comment on or make changes to this bug.